%define base_name apt-conf
%define distro sp 
%define Distro School Portal

Name: %base_name-%distro
Version: 5.0
Release: alt0.M50P.1

Summary: Repository for install and update %Distro
License: GPL
Group: System/Configuration/Packaging
Packager: Andrey Cherepanov <cas@altlinux.org>

# Build only for i586
ExclusiveArch: i586

Source1: %distro.desktop
Source2: mirror.desktop
Source3: %distro.list

Requires: %base_name
PreReq: coreutils
Conflicts: apt <= 0:0.5.15cnc6-alt14

%description
Repository for install and update %Distro

%prep

%build

%install
mkdir -p %buildroot/%_sysconfdir/apt/repositories/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/apt/repositories/%distro.desktop
mkdir -p %buildroot/%_sysconfdir/apt/mirrors/
install -m 0644 %SOURCE2 %buildroot/%_sysconfdir/apt/mirrors/%distro.desktop
mkdir -p %buildroot/%_sysconfdir/apt/sources.list.d/
install -m 0644 %SOURCE3 %buildroot/%_sysconfdir/apt/sources.list.d/%distro.list

%post
grep '^omsclient' '/etc/apt/repositories/.compatlist' >/dev/null || echo 'omsclient' >> '/etc/apt/repositories/.compatlist'

%postun
grep '^omsclient' '/etc/apt/repositories/.compatlist' >/dev/null && sed -i '/^omsclient$/d' '/etc/apt/repositories/.compatlist'

%files
%config(noreplace) %_sysconfdir/apt/repositories/%distro.desktop
%config(noreplace) %_sysconfdir/apt/mirrors/%distro.desktop
%config(noreplace) %_sysconfdir/apt/sources.list.d/%distro.list

%changelog
* Fri Jan 14 2011 Andrey Cherepanov <cas@altlinux.org> 5.0-alt0.M50P.1
- Initial build for p5
